# macop.operators.crossovers.RandomSplitCrossover

Crossover implementation which generated new solution by randomly splitting best solution and current solution

Classes

`RandomSplitCrossover`() | Crossover implementation which generated new solution by randomly splitting best solution and current solution

class `macop.operators.crossovers.RandomSplitCrossover.``RandomSplitCrossover`

  Crossover implementation which generated new solution by randomly splitting best solution and current solution

  `kind`

    {KindOperator} – specify the kind of operator

  `apply`(_solution)

    Create new solution based on best solution found and solution passed as parameter

    Parameters

      _solution – {Solution} – the solution to use for generating new solution

    Returns

      {Solution} – new generated solution